////////////////////////////////////////////////////////////
// This file makes eps files of the fundamental regions of
// the genus zero or one groups.
////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////
// load data and functions. Modify to read genus one groups.
////////////////////////////////////////////////////////////
load "output/fund_0.dat";
load "epsplot2.m";
////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////
// main loop
////////////////////////////////////////////////////////////

for i := 1 to #fund_data do
 level := IntegerToString(fund_data[i,3]);
 label := fund_data[i,4];
 genus := IntegerToString(fund_data[i,5]);
 f := IntegerToString(fund_data[i,6]);
 width := fund_data[i,9,1,2,2];

 filename := "output/fund_" cat level cat "_" cat label cat "_" cat genus cat "_" cat f cat ".eps";
 print "\n filename =",filename;
 epsplot2(filename,fund_data[i,8],width);
end for;


quit;
////////////////////////////////////////////////////////////
