////////////////////////////////////////////////////////////
// selection of index i of list such that
// list[j] >= a, for all j >= i using a binary search.
////////////////////////////////////////////////////////////
fast_ge_select:=procedure(a,~list,~answer);

answer:=-1;
finished:=false;
low:=1;
high:=#list;
test_point:=Floor( (low+high)/2 );

if a le list[1] then answer:=1;finished:=true;end if;
if a gt list[#list] then answer:=#list+1;finished:=true;end if;

while not(finished) do
 if high -low le 1 then
  if list[low] eq a 
   then answer:=low;
   finished:=true;
  else
   answer:=high;
   finished:=true;
  end if;
 else
  if list[test_point] le a then
   low:=test_point;
  else
   high:=test_point;
  end if;
 test_point:=Floor( (low+high)/2 );
 end if;
end while;
end procedure;//of fast_ge_list
////////////////////////////////////////////////////////////


  
  


